glob.hpp File Reference

Globalization algorithm. More...

`#include <claw/impl/glob.tpp>`

Go to the source code of this file.

## Namespaces

namespace | claw
| This is the main namespace.

## Functions

template<typename InputIterator1, typename InputIterator2>
bool | claw::glob_match (InputIterator1 pattern_first, InputIterator1 pattern_last, InputIterator2 first, InputIterator2 last, typename InputIterator1::value_type any_sequence, typename InputIterator1::value_type zero_or_one, typename InputIterator1::value_type any)
template<typename InputIterator1, typename InputIterator2>
bool | claw::glob_potential_match (InputIterator1 pattern_first, InputIterator1 pattern_last, InputIterator2 first, InputIterator2 last, typename InputIterator1::value_type any_sequence, typename InputIterator1::value_type zero_or_one, typename InputIterator1::value_type any)

## Detailed Description

Globalization algorithm.

Author
  Julien Jorge

Definition in file glob.hpp.